Summary:        FastCGI development kit
Name:           fcgi
Version:        2.4.2
Release:        5%{?dist}
License:        OML
URL:            https://fastcgi-archives.github.io
Source0:        https://github.com/FastCGI-Archives/fcgi2/archive/%{version}.tar.gz

BuildRequires:  gcc gcc-c++ make libtool
BuildRequires:  sed coreutils

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific APIs.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n fcgi2-%{version}
sed -i 's/\r//' doc/fastcgi-prog-guide/ch2c.htm
chmod a-x include/fcgios.h libfcgi/os_unix.c LICENSE.TERMS doc/fastcgi-prog-guide/*

%build
./autogen.sh
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build -j1

%install
%make_install
rm %{buildroot}%{_libdir}/libfcgi{++,}.{l,}a
install -p -m 0644 -D doc/cgi-fcgi.1 %{buildroot}%{_mandir}/man1/cgi-fcgi.1
for manpage in doc/*.3; do
install -p -m 0644 -D $manpage %{buildroot}%{_mandir}/man3/$(basename $manpage)
done
rm -f doc/*.1
rm -f doc/*.3
rm -rf %{buildroot}%{_libdir}/pkgconfig/fcgi++.pc
rm -rf %{buildroot}%{_libdir}/pkgconfig/fcgi.pc

%files
%license LICENSE.TERMS
%doc LICENSE.TERMS
%{_bindir}/cgi-fcgi
%{_libdir}/libfcgi.so.*
%{_libdir}/libfcgi++.so.*
%{_mandir}/man1/*

%files devel
%doc doc/
%{_includedir}/*
%{_libdir}/libfcgi.so
%{_libdir}/libfcgi++.so
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Miaojun Dong <zoedong@tencent.com> - 2.4.2-1
- initial build
